Subject: Re: bug#8857: display-buffer attempt to pop-up frame in batch mode causes "Unknown terminal type" error

From: Stefan Monnier <[email-masked]>
Date: Wed, 15 Jun 2011 17:02:50 -0400

>> "batch mode" and "server mode" are *very* closely related.  So I'd stay
>> away from any attempt to special case "batch mode".

> FWIW, `noninteractive' is nil in "server mode" (ie --daemon) but t in
> "batch mode", so the two cases are easily distinguished.

> Since emacs.c has:

>   if (!noninteractive)
>     init_display ();    /* Determine terminal type.  Calls init_sys_modes.  */

> I've gone back to thinking that display-buffer can do nothing useful in
> batch mode.

It might fix it for batch mode, but you may get the same problem in
"server mode before opening any display or tty".  That's what I mean by
the two being closely related.

I.e. we need to make it work on the dummy initial terminal.

        Stefan